# Enum Class System.Logger.Level

java.lang.Object
java.lang.Enum<System.Logger.Level>
java.lang.System.Logger.Level

All Implemented Interfaces:
  `Serializable, Comparable<System.Logger.Level>, Constable`

Enclosing interface:
  `System.Logger`

public static enum System.Logger.Level extends Enum<System.Logger.Level>
System loggers levels. A level has a name and severity. Level values are `ALL`, `TRACE`, `DEBUG`, `INFO`, `WARNING`, `ERROR`, `OFF`, by order of increasing severity.
`ALL` and `OFF` are simple markers with severities mapped respectively to `Integer.MIN_VALUE` and `Integer.MAX_VALUE`.

Severity values and Mapping to `java.util.logging.Level`.

System logger levels are mapped to java.util.logging levels of corresponding severity.
The mapping is as follows:

System.Logger Severity Level Mapping
System.Logger Levels | java.util.logging Levels
--- | ---
`ALL` | `ALL`
`TRACE` | `FINER`
`DEBUG` | `FINE`
`INFO` | `INFO`
`WARNING` | `WARNING`
`ERROR` | `SEVERE`
`OFF` | `OFF`

Since:
  9
See Also:
  - `System.LoggerFinder`
  - `System.Logger`

## Nested Class Summary

### Nested classes/interfaces declared in class Enum

`Enum.EnumDesc<E>`
Modifier and Type
Class
Description
`static final class`
`Enum.EnumDesc<E extends Enum<E>>`
A nominal descriptor for an `enum` constant.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
A marker to indicate that all levels are enabled.
`DEBUG`
`DEBUG` level: usually used to log debug information traces.
`ERROR`
`ERROR` level: usually used to log error messages.
`INFO`
`INFO` level: usually used to log information messages.
`OFF`
A marker to indicate that all levels are disabled.
`TRACE`
`TRACE` level: usually used to log diagnostic information.
`WARNING`
`WARNING` level: usually used to log warning messages.

## Method Summary

Modifier and Type
Method
Description
`final String`
`getName()`
Returns the name of this level.
`final int`
`getSeverity()`
Returns the severity of this level.
`static System.Logger.Level`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static System.Logger.Level[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`
Modifier and Type
Method
Description
`protected final Object`
`clone()`
Throws CloneNotSupportedException.
`final int`
`compareTo(System.Logger.Level o)`
Compares this enum with the specified object for order.
`final Optional<Enum.EnumDesc<System.Logger.Level>>`
`describeConstable()`
Returns an enum descriptor `EnumDesc` for this instance, if one can be constructed, or an empty `Optional` if one cannot be.
`final boolean`
`equals(Object other)`
Returns true if the specified object is equal to this enum constant.
`protected final void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization has been deprecated for removal.
`final Class<System.Logger.Level>`
`getDeclaringClass()`
Returns the Class object corresponding to this enum constant's enum type.
`final int`
`hashCode()`
Returns a hash code for this enum constant.
`final String`
`name()`
Returns the name of this enum constant, exactly as declared in its enum declaration.
`final int`
`ordinal()`
Returns the ordinal of this enumeration constant (its position in its enum declaration, where the initial constant is assigned an ordinal of zero).
`String`
`toString()`
Returns the name of this enum constant, as contained in the declaration.
`static <T extends Enum<T>>
T`
`valueOf(Class<T> enumClass, String name)`
Returns the enum constant of the specified enum class with the specified name.

### Methods declared in class Object

`getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Enum Constant Details

### ALL

public static final System.Logger.Level ALL
A marker to indicate that all levels are enabled. This level severity is `Integer.MIN_VALUE`.

### TRACE

public static final System.Logger.Level TRACE
`TRACE` level: usually used to log diagnostic information. This level severity is `400`.

### DEBUG

public static final System.Logger.Level DEBUG
`DEBUG` level: usually used to log debug information traces. This level severity is `500`.

### INFO

public static final System.Logger.Level INFO
`INFO` level: usually used to log information messages. This level severity is `800`.

### WARNING

public static final System.Logger.Level WARNING
`WARNING` level: usually used to log warning messages. This level severity is `900`.

### ERROR

public static final System.Logger.Level ERROR
`ERROR` level: usually used to log error messages. This level severity is `1000`.

### OFF

public static final System.Logger.Level OFF
A marker to indicate that all levels are disabled. This level severity is `Integer.MAX_VALUE`.

## Method Details

### values

public static System.Logger.Level[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static System.Logger.Level valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public final String getName()
Returns the name of this level.

Returns:
  this level Enum.name().

### getSeverity

public final int getSeverity()
Returns the severity of this level. A higher severity means a more severe condition.

Returns:
  this level severity.